Subject: Re: [PATCH net-next] net: phy: vitesse: add inband caps and configuration

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 11 Mar 2026 14:54:08 +0000

On Wed, Mar 11, 2026 at 03:43:30PM +0100, Geert Uytterhoeven wrote:
> Hi Russell,
> 
> On Wed, 11 Mar 2026 at 15:26, Russell King (Oracle)
> <[email-masked]> wrote:
> > On Wed, Mar 11, 2026 at 03:01:35PM +0100, Geert Uytterhoeven wrote:
> > > On Wed, 11 Mar 2026 at 01:07, Russell King <[email-masked]> wrote:
> > > > Add support for VSC8662 reporting its inband capabilities, and also
> > > > hook to configure the PHY's inband mode.
> > > >
> > > > This fixes a regression in the macb driver caused by commit
> > > > 1338cfef1ff1 ("net: macb: fix SGMII with inband aneg disabled")
> > >
> > > Fixes: 1338cfef1ff1b958 ("net: macb: fix SGMII with inband aneg disabled")
> > >
> > > > Reported-by: Conor Dooley <[email-masked]>
> > > > Link: https://lore.kernel.org/r/20260304-nebulizer-rounding-40fbc81a2ba1@spud
> > >
> > > s/Link/Closes/
> >
> > I avoided it because any other PHY used with macb that is also connected
> > via SGMII will run into this same issue. It just happens that adding
> > this support fixes the above commit.
> >
> > Conversely, we have stmmac, which unconditionally enables SGMII inband
> > at the MAC end no matter what phylink says to do, and should this
> > PHY be used with this patch in a stmmac system, it will cause that to
> > break, because we end up with either end misconfigured.
> >
> > Also, if this commit is applied without the macb change, you'll
> > probably also find that macb breaks (please test that.)
> 
> Correct, it breaks in a similar way.
> 
> > So, while this is a solution and a step forward, I'd rather not suggest
> > that it is an official fix to the macb issue - it's merely filling in
> > a missing piece of the jigsaw.
> 
> Well, when the stable machinery will discover the word "fix" in commit
> 1338cfef1ff1b958, it will backport it.  With the Fixes tag, this patch
> will be backported, too, keeping at least the MPFS Icicle users happy ;-)

... and potentially breaking other users. I would prefer stable not to
backport this patch, or the original patch that introduced the
breakage.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!